<script src="https://unpkg.com/ag-grid-community/dist/ag-grid-community.min.noStyle.js"></script>
<link rel="stylesheet" href="https://unpkg.com/ag-grid-community/dist/styles/ag-grid.css">
<link rel="stylesheet" href="https://unpkg.com/ag-grid-community/dist/styles/ag-theme-balham.css">

<div class="ui container" style="margin: 10px">
    <div class="ui segments">
        <h2 class="ui center aligned icon top attached header">
          <img class="ui image" src="https://i.imgur.com/GpCIKEh.png">
          OSI PI Connector
        </h2>
        <div class="ui segment">
            <div id="gridLoader" class="ui active inverted dimmer">
                <div class="ui text loader">Loading...</div>
            </div>
            <div id="etl-grid" style="height: 500px;" class="ag-theme-balham"></div>
        </div>
        <div class="ui segment">
            <button class="ui button" onclick="addRow()">Add Link</button>
            <button class="ui red button" onclick="deleteRow()">Delete Link</button>
            <button class="ui green button right" onclick="forceExecute()">Force Execute</button>
            <button class="ui primary button right" onclick="saveData()">Save</button>
        </div>
    </div>
    
</div>